Subject: Re: bug#71669: 30.0.50; macOS: `emacs --geometry` flag broken, only `-geometry` works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Jun 2024 09:32:53 +0300

> Cc: [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Fri, 21 Jun 2024 01:43:09 +0000
> 
> Po Lu <[email-masked]> writes:
> 
> > Stefan Kangas <[email-masked]> writes:
> >
> >> Po Lu <[email-masked]> writes:
> >>
> >>> Where is it documented that `--geometry' should be supported on all
> >>> systems?
> >>
> >> 1. man emacs
> >> 2. (info "(emacs) Window Size X")
> >
> > Surely the name of this node is some indication of its applicability?
> 
> It's not very helpful, no.
> 
> >> As I explained, it works when I say `-geometry` (one dash), so this
> >> feature is already there.  The only issue is that `--geometry` (two
> >> dashes) doesn't work.
> >
> > Yes, because it (the variant with two dashes) is specifically disabled
> > for the NS windowing system in common-win.el.
> 
> I assume that you mean the part setting `command-line-ns-option-alist`.
> 
> Do you agree that this is a bug?

Not necessarily.  My reading of the VC history is that before commit
d7d8c62a57e7, which unified the NS handling of command-line arguments
with the rest of GUI platforms, there was no support for -g (in any of
its forms, including -geometry and --geometry) on macOS.  So it could
be that the fact we now support -g and -geometry is a bug.

If you add --geometry to command-line-ns-option-alist, does it work as
expected, with all formats of -geometry that are supposed to be
supported?  If yes, we could enable that on macOS and see if anything
breaks or someone complains.  But maybe if you try this, you will find
the reason why this switch is not fully supported on NS.